Jump to content

Обновление с 4.4.10 на 4.5


Recommended Posts

Ошибка 500 означает неправильный код в .htaccess, httpd.conf (для сервера и отдельный может быть для домена), аналогично и с nginx.conf (для сервера и для домена). Смотрите логи апача на данное время.

Edited by Zero108
Link to post
Share on other sites

Знать бы что это такое 🙂

Я восстанавливаю с бэкапа, завтра продолжу мучать.

Обновлюсь и буду копать.

А при обновлении отключать нужно что то типа плагинов или дополнений, или должно все как есть оставаться?

Link to post
Share on other sites
Цитата

Если вы попадаете в точку, в которой вы не можете получить доступ ни в админцентр, ни во внешний интерфейс, вы можете попробовать использовать нашу новую функцию режима восстановления. Чтобы использовать это, вы должны добавить следующую строку в файл constants.php в главном каталоге вашей установки

<?php
define('RECOVERY_MODE',True);

Далее разлогиниться и залогиниться в админку. Будут отключены сторонние плагины и приложения

 

Edited by Zero108
Link to post
Share on other sites
Posted (edited)

Спасибо, буду мучать.

Я с 4.1 на этом форуме сижу, все было хорошо.

Ведь все предыдущие версии вставали как по маслу, что в 4.5 есть такого, что же мешает.

Edited by Maiden8
Link to post
Share on other sites

Поставьте чистый 4.4.10 на поддомен третьего уровня. Затем сделайте апгрейд до 4.5 и поймете, есть ли проблема в ваших модулях, либо нужно копать в сторону несовершенного кода в 4.5, либо настроек сервера. Лично я переезжать буду не ранее, чем через 3-5 лет.

Edited by Zero108
Link to post
Share on other sites

Maiden8 4.5.0 Beta 3 (предварительная версия)  - куда вы спешите?

После обновления многие приложения не работают. ждите оф релиза  а потом ещё хотя-бы пару обновлений.

Edited by BertT
Link to post
Share on other sites
В 22.06.2020 в 19:46, BertT сказал:

Maiden8 4.5.0 Beta 3 (предварительная версия)  - куда вы спешите?

После обновления многие приложения не работают. ждите оф релиза  а потом ещё хотя-бы пару обновлений.

Видео вк работает, приложение "закладки" тоже вроди  работают.

...............

P.S.

А так многие приложения по определению в 4.5 работать не будут. Об этом еще пол года назад в анонсе писали. Большой ряд изменений как в корневых файлах, так и в файлах шаблона.

Link to post
Share on other sites
3 часа назад, Арон сказал:

А так многие приложения по определению в 4.5 работать не будут. Об этом еще пол года назад в анонсе писали. Большой ряд изменений как в корневых файлах, так и в файлах шаблона.

А списка нет? 😋

Link to post
Share on other sites

Maiden8 Сhatbox FREE 4.0.7   или  Chatbox+ 2.2.7 точно не будет работать с 4.5.0 Beta 4

К сожалению, у вас нет разрешения на это!

2S119/1 Ключ защиты CSRF не совпадает. Это может означать, что плагин или тема устарели. Пожалуйста, свяжитесь со службой технической поддержки для получения дополнительной информации.

 

Edited by BertT
Link to post
Share on other sites
4 часа назад, Maiden8 сказал:

А списка нет? 😋

Ну какой список приложений может быть, если приложения сторонних авторов.

Всё что в оф.дистрибутив входит - будет работать.

Правда некоторые опции разрабы в целях "облегчения" вырезали.

Link to post
Share on other sites

BertT забей, у меня там такой фарш приложений, сам все на память не сказал бы=)

Я вижу у кого то, думаю полезно, нравится, ставлю и так далее, посижу пока на 4.10.

Link to post
Share on other sites

попробовал на локалке обновить, но вылезла ошибка

Incorrect string value: '\xF0\x9F\x8E\x89</...' for column 'template_content' at row 1
N:\OSPanel\domains\site.ru\forum\system\Theme\Theme.php::4883

REPLACE INTO `ibf_core_theme_templates` ( `template_set_id`, `template_app`, `template_location`, `template_group`, `template_name`, `template_data`, `template_content`, `template_added_to`, `template_updated`, `template_user_added`, `template_version`, `template_plugin` ) VALUES ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ? )

попробовал у таблицы и поля поменять кодировку на utf8mb4_general_ci но току нет, как поправить?
 

Link to post
Share on other sites
25 минут назад, Respected сказал:

avgaz путём поиска нужно находить этот участок кода в шаблонах и удалять его.

Этого участка в template_content нет искал уже

\xF0\x9F\x8E\x89
Link to post
Share on other sites
1 час назад, Respected сказал:

в таком случае я бы удалил кастомную тему.

ну сейчас то её не удалить так как запущено обновление в админку не попасть

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Ваша ссылка была автоматически строена.   Отображать как обычную ссылку

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...